#include <pic16f886.h>
#include <xc.h>
#include "hitec_c_i2c.h"
#include "user_define.h"
#include "lm48100.h"

extern  unsigned char   volume;

/*----------- lm48100 ----------*/
void	lm48100_init(void)
{
    i2c_lm48100_write(0x14);
    lm48100_vol_set(0);
}

void    lm48100_vol_set(unsigned char data)
{
    data=data & 0x1f;
   	i2c_lm48100_write(0x60 | data); 
}

void    lm48100_off(void)
{
        i2c_lm48100_write(0x00);
}