#include <pic16f886.h>
#include "usart.h"

void init_usart(void)
{
	RX_PIN = 1;
	TX_PIN = 1;
	SPBRG = 25; /* 9600bps 4MHz */
	RCSTA = 0b10010000;
	TXSTA = 0b00100100;
	RCIF = 0;	/*  */
	RCIE = 1;	/*  */
//*	TXIF = 0;
//*	TXIE = 1;
	PEIE = 1;	/*  */
	GIE =1;		/*  */
}

void putch(unsigned char byte) 
{
	/* output one byte */
	while(!TXIF)	/* set when register is empty */
		continue;
	TXREG = byte;
}

unsigned char getch() {
	/* retrieve one byte */
	while(!RCIF)	/* set when register is not empty */
		continue;
	return RCREG;	
}

unsigned char getche(void)
{
	unsigned char c;
	putch(c = getch());
	return c;
}
